# Generated by Django 3.2.4 on 2021-07-03 06:57

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0002_instrumenttype_portfolio'),
    ]

    operations = [
        migrations.CreateModel(
            name='ExpectedYeild',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('figi', models.CharField(db_index=True, max_length=255)),
                ('expected_yieild', models.DecimalField(decimal_places=5, max_digits=15)),
                ('created_at', models.DateTimeField()),
            ],
        ),
        migrations.RemoveField(
            model_name='portfolio',
            name='expected_yeild',
        ),
        migrations.AlterField(
            model_name='portfolio',
            name='figi',
            field=models.CharField(db_index=True, max_length=255),
        ),
        migrations.AddField(
            model_name='portfolio',
            name='expected_yeild',
            field=models.ManyToManyField(to='api.ExpectedYeild'),
        ),
    ]
